Bug 817312 - SELinux is preventing /usr/bin/totem-video-thumbnailer from 'create' accesses on the directory .orc.
SELinux is preventing /usr/bin/totem-video-thumbnailer from 'create' accesses...
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-04-28 17:47 EDT by José Antonio
Modified: 2012-05-08 00:22 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-121.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-05-08 00:22:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description José Antonio 2012-04-28 17:47:52 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.2-8.fc17.x86_64
time:           Sat 28 Apr 2012 10:47:30 PM WEST

:SELinux is preventing /usr/bin/totem-video-thumbnailer from 'create' accesses on the directory .orc.
:*****  Plugin catchall (100. confidence) suggests  ***************************
:If you believe that totem-video-thumbnailer should be allowed create access on the .orc directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:allow this access for now by executing:
:# grep multiqueue0:src /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:Additional Information:
:Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
:Target Context                unconfined_u:object_r:user_home_dir_t:s0
:Target Objects                .orc [ dir ]
:Source                        multiqueue0:src
:Source Path                   /usr/bin/totem-video-thumbnailer
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           totem-3.4.0-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-118.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.2-8.fc17.x86_64 #1 SMP Sat
:                              Apr 21 12:44:25 UTC 2012 x86_64 x86_64
:Alert Count                   2
:First Seen                    Sat 28 Apr 2012 10:46:46 PM WEST
:Last Seen                     Sat 28 Apr 2012 10:47:20 PM WEST
:Local ID                      039b6742-51ba-450b-ad00-0481efbfe6a4
:Raw Audit Messages
:type=AVC msg=audit(1335649640.937:342): avc:  denied  { create } for  pid=3027 comm="multiqueue0:src" name=".orc" scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_dir_t:s0 tclass=dir
:type=SYSCALL msg=audit(1335649640.937:342): arch=x86_64 syscall=mkdir success=no exit=EACCES a0=7fe8dc0392f0 a1=1c0 a2=ffffffffffffff80 a3=7fe8f5bf0340 items=0 ppid=2894 pid=3027 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=4 comm=multiqueue0:src exe=/usr/bin/totem-video-thumbnailer subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)
:Hash: multiqueue0:src,thumb_t,user_home_dir_t,dir,create
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
Comment 1 Daniel Walsh 2012-04-30 15:58:37 EDT
Fixed in selinux-policy-3.10.0-120.fc17

mkdir .orc
restorecon ~/.orc

Should fix the problem for now.
Comment 2 Fedora Update System 2012-05-04 15:52:58 EDT
selinux-policy-3.10.0-121.fc17 has been submitted as an update for Fedora 17.
Comment 3 Fedora Update System 2012-05-04 18:16:44 EDT
Package selinux-policy-3.10.0-121.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-121.fc17'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-05-08 00:22:22 EDT
selinux-policy-3.10.0-121.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.